Subject: Re: [PATCH] Speed-up pfifo_fast lookup using a bitmap

From: Krishna Kumar <[email-masked]>
Date: Fri, 14 Aug 2009 18:54:58 +0530

Hi Jarek,

Jarek Poplawski <[email-masked]> wrote on 08/14/2009 04:31:27 PM:

> Alas, private or public, these values are lower on average than
> before, so I'm not sure the complexity (especially in reading) added
> by this patch is worth it. So, I can only say it looks formally OK,
> except the changelog and maybe 2 cosmetical suggestions below.

Maybe the different test parameters result in smaller improvements.
I agree with you - the first approach is very readable and probably
preferable, while the second introduces a new structure and more
complexity.

I am sending both these versions a last time, after fixing your
comments in case someone can help decide if one or the other is
better (sorry I forgot to run checkpatch couple of times, will try
to remember next time).

Thanks,

- KK